<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>3D mouse over effect | CSS and JS</title>
    <style>
        *{
            margin: 0;
            padding: 0;
        }   
        body{
            font-family: monospace;
            height: 100vh;
            color: #333;
            display: flex;
            justify-content: center;
            align-items: center;
        }   
        .card{
            width: 400px;
            height: 200px;
            position: relative;
            background-color: tomato;
            background-position: top center;
            transform-style: preserve-3d;
            display: flex;
            justify-content: center;
            align-items: center;
            border-radius: 20px;
        }
        .card:after{
            content: '';
            position: absolute;
            width: 100%;
            height: 8px;
            border-radius: 50%;
            left: 0;
            bottom: 0;
            box-shadow: 0 30px 20px rgba(0, 0, 0, 0.3);
        }
        .card-content{
            transform-style: preserve-3d;
            text-align: center;
        }
        .card-content h1{
            color: #fff;
            transform: translateZ(100px);
        }
        .card-content p{
            color: #fff;
            transform: translateZ(50px);
        }
    </style>
</head>
<body>
    <div class="card">
        <div class="card-content">
            <h1>Subscribe</h1>
            <p>subscribe to the channel if you have not yet.</p>
        </div>
    </div>
    <script type="text/javascript">
        let card = document.querySelector('.card');

        document.addEventListener('mousemove', function (e) {
            let xAxis = (window.innerWidth / 2 - e.pageX) / 10;
            let yAxis = (window.innerHeight / 2 - e.pageY) / 5;
            card.style.transform = `rotateY(${xAxis}deg) rotateX(${yAxis}deg)`;
        });
    </script>
</body>
</html>